%define		cvs_date	20060720
Name:		kooldock
Version:	0.3
Release:	3.%{cvs_date}cvs%{?dist}
Summary:	Cool dock for KDE with great visual effects and enhancements
Group:		User Interface/Desktops
License:	GPL
URL:		http://www.kde-look.org/content/show.php?content=12097
Source0:	http://ecik.zspswidwin.pl/kooldock/%{name}%{cvs_date}.tar.bz2
Source3:	kooldock.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	desktop-file-utils
BuildRequires:	autoconf automake
BuildRequires:	qt-devel kdelibs-devel gettext

%description
KoolDock is a KDE project that aims to have a cool dock for KDE with great
visual effects and enhancements.
Some of it features are:
- Display quick launchers to your favourite apps
- A builtin task bar
- Pager and clock. (Not done yet)
- Smooth zooming effect (like Apple's OS X dock)
- Transparent Background.

%prep
%setup -q -n %{name}%{cvs_date}
rm -rf po/de.po #this file is empty
make -f Makefile.dist

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
%configure --disable-rpath --disable-dependency-tracking --disable-final
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
  --add-category="X-Fedora" --vendor="" \
  --add-category="Utility" \
  --add-category="KDE" \
  --add-category="Qt" \
  --add-category="Application" \
  %{SOURCE3}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/crystalsvg || :

%postun
touch --no-create %{_datadir}/icons/crystalsvg || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/*
%{_datadir}/apps/kooldock
%{_datadir}/icons/crystalsvg/*/apps/kooldock.png
%{_datadir}/applications/kde/*desktop

%changelog
* Wed Jul 26 2006 Michał Bentkowski <mr.ecik at gmail.com> - 0.3-3.20060720cvs
- Fix in %%prep section
- Delete kdelibs dependency
- Delete export QTLIB...
- Drop %%doc INSTALL
- Add %%post and %%postun
- Change of URL

* Wed Jul 26 2006 Michał Bentkowski <mr.ecik at gmail.com> - 0.3-2.20060720cvs
- Add some macros
- Remove qt dependency

* Thu Jul 20 2006 Michał Bentkowski <mr.ecik at gmail.com> - 0.3-1.20060720cvs
- First release
